import React from "react";
import { formatAmount } from "@pisell/utils";
export var renderBundles = function renderBundles(item, amountSymbol) {
  var options = (item === null || item === void 0 ? void 0 : item.option) || [];
  return /*#__PURE__*/React.createElement("div", {
    key: item.id,
    className: "product-bundle-item"
  }, /*#__PURE__*/React.createElement("div", {
    className: "product-bundle-info"
  }, /*#__PURE__*/React.createElement("div", {
    className: "product-bundle-info-title"
  }, item.title), /*#__PURE__*/React.createElement("div", {
    className: "product-bundle-info-num"
  }, formatAmount(item.price, 2, amountSymbol), " \xD7 ", item.num)), /*#__PURE__*/React.createElement("div", {
    className: "product-bundle-option"
  }, options.map(function (option, index) {
    return /*#__PURE__*/React.createElement("span", {
      key: option.id
    }, option.name, " x ", option.num, " ", index < options.length - 1 && ",", " ");
  })));
};